
;;;;;CARACTERISTICAS DE LOS PATCHES Y TORTUGAS;;;;;

patches-own [                                                     ; Los patches tienen como atributo principal la calidad de las viviendas
  tipo 
  calidad 
  similar
  ]
  
turtles-own [                                                     ;Las caracteristicas de las tortugas es su ingreso, la ocupación en un sector económico,  
  ingreso                                                         ;Se les asigna una casa, y el numero de vecinos similares a ellos. 
  house                                                                        
  sectoreconomico 
  My-%-similar-wanted

  ]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;iNICIALIZACIÓN DEL MODELO;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 to setup  
   ca    
   reset-ticks

;;Se crean escenarios para observar la segregación desde una perspectiva de centro-periferia y desde la aleatoriedad;;

  ifelse escenario = "centro-periferia" [centro-periferia] [ aleatorio ]   
  create-turtles Personas                                                       ;Crear personas en el mundo 
  
  ask turtles
  
  [
  
   
  set my-%-similar-wanted random %-similar-wanted                                ;Contar cuantos agentes vecinos son similares a mí. 


 
    set shape "person" set size 1.3
    set ingreso abs random ingreso-promedio                                   ;Asignar a dichas personas un ingreso de forma aleatoria 
    setxy random-pxcor random-pycor
    
     if ingreso  <= 2000                         [set color black ]           
     ;Si el ingreso es menor o igual a 4000 pesos las personas son de color negro lo que representa a personas de muy bajo ingreso 
     if ingreso > 2001 and ingreso <= 4000       [set color red ]            
      ;Si el ingreso es mayor a 4000 pesos  y menor o igual a 6000 pesos las personas son de color rojo lo que representa a personas de bajo ingreso 
     if ingreso > 4001  and ingreso <= 7000      [set color yellow ]         
      ;Si el ingreso es mayor a 6000 pesos  y menor 8000 pesos las personas son de color amarillo lo que representa a personas de medianos ingresos
     if ingreso > 7001 and ingreso <= 9000       [set color green ]          
      ;Si el ingreso es mayor o igual a 8000 pesos las personas son de color verde lo que representa a personas de altos ingresos 
    
    
     set house false                                                            ;Las personas aún no tienen asignado  un lugar de residencia 
  ]
  
  ask turtles with [ color = black or color = red ]                             ;Se les asigana de forma aleatoria una ocupación en diferente sector economico 
  
  [
    
    set sectoreconomico  round random-float 6
    if sectoreconomico = 0 
    [set sectoreconomico "comercio-por-mayor"]
    if sectoreconomico = 1 
    [set sectoreconomico "comercio-por-menor"]
    if sectoreconomico = 2
    [set sectoreconomico "construccion"]
    if sectoreconomico = 3
    [set sectoreconomico "industria-manufacturera"]
    if sectoreconomico = 4 
    [set sectoreconomico "servicios-alojamiento"]
     if sectoreconomico = 5 
    [set sectoreconomico "servicios-educativos"]        
     
  ]
  
  
   ask turtles with [ color = yellow or color = green ]                       ;Siendo las personas amarillas y verdes la de mayor ingreso 
                                                                              ;se incluye el sector de servicios financieros y de salud 
  
  [
    
    set sectoreconomico  round random-float 8
    if sectoreconomico = 0 
    [set sectoreconomico "comercio-por-mayor"]
    if sectoreconomico = 1 
    [set sectoreconomico "comercio-por-menor"]
    if sectoreconomico = 2
    [set sectoreconomico "construccion"]
    if sectoreconomico = 3
    [set sectoreconomico "industria-manufacturera"]
    if sectoreconomico = 4 
    [set sectoreconomico "servicios-alojamiento"]
     if sectoreconomico = 5 
    [set sectoreconomico "servicios-educativos"]        
    if sectoreconomico = 6 
    [set sectoreconomico "servicios-salud"]   
    if sectoreconomico = 7 
    [set sectoreconomico "servicios-financieros"]      
     
  ]         
 

  
  
  ask patches [ count-similar ]                                                         ;Cuenta los patches vecinos similares a él 
  
 end 
 
                               ;;;;;;;;;;;;;;;;;;;;;;;;;;
                               ;;Creación de escenarios::
                               ;;;;;;;;;;;;;;;;;;;;;;;;;;
 
 
 
 ;Escenario centro-periferia;
 
 to centro-periferia
  
 ;;se crean los cuadrados en el mundo;;
  
  ask patches [                                                                ;Cuadro café que representa calidad tipo precaria, 
   if (pycor > -34 and pycor < 34) and (pxcor > -34 and pxcor < 34)            ;se le asignan valores que corren del 0 al 2. Simboliza la periferia de la ZMVM
   [set pcolor 36]
   ]                                               
  ask patches [
  if pcolor = 36
  [set tipo "precaria"
  set calidad random 3]
  ]
  
   ask patches [                                                               ;Cuadro anaranjado que representa calidad tipo baja, 
   if (pycor > -26 and pycor < 26) and (pxcor > -26 and pxcor < 26)            ;se le asignan valores que corren del 3 al 5
   [set pcolor 24]
   ]                                               
  ask patches [
  if pcolor = 24
  [set tipo "baja"
  set calidad  random 3 + 3]
  ]

 ask patches [                                                                  ;Cuadro azul que representa calidad tipo media, 
   if (pycor > -18 and pycor < 18) and (pxcor > -18 and pxcor < 18)             ;se le asignan valores que corren del 6 al 8
   [set pcolor 102]
   ]                                               
  ask patches [
  if pcolor = 102
  [set tipo "media"
  set calidad random 3 + 6 ]
  ]
  
  ask patches [                                                                 ;Cuadro purpura que representa calidad tipo alta, 
   if (pycor > -10 and pycor < 10) and (pxcor > -10 and pxcor < 10)             ;se le asignan valores que corren del 0 al 2. Simboliza el centro de la ZMVM
   [set pcolor 131]
   ]                                               
  ask patches [
  if pcolor = 131
  [set tipo "alta"
  
  set calidad random 2 + 9 ]
  ]  
  
end

;Escenario aleatorio;

to aleatorio
  
  ask patches [                                                                                  
  
  set calidad random 11
  
  if (calidad = 0 or calidad = 1 or calidad = 2) [set tipo "precaria" set pcolor 7]           
  ;Si la calidad tiene un valor de 0, 1 o 2 los patches son cafés y la calidad es precaria 
  if (calidad = 3 or calidad = 4 or calidad = 5) [ set tipo "baja" set pcolor blue ]             
   ;Si la calidad tiene un valor de 3, 4 o 5 los patches son azules y la calidad es baja
  if calidad = 6 or calidad = 7 or calidad = 8 [ set tipo "media"  set pcolor violet ]           
   ;Si la calidad tiene un valor de 6, 7 u 8 los patches son violetas y la calidad es media
  if (calidad = 9 or calidad = 10) [set tipo "alta"   set pcolor 135 ]                           
   ;Si la calidad tiene un valor de 9 o 10  los patches son rosas y la calidad es alta
 
  ]
  
  

 
end 
   
 to count-similar                                                             ; Cuenta los vecinos mas cercanos que tienen calidad de vivienda similar a la suya.
   
  
   set similar count  neighbors with [calidad = [calidad] of myself]    
   
 end 
   
                                                      ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                                                      ;;;;;;;;;;;;;;;;;;;;EJECUCIÓN DEL MODELO:;;;;;;;;;;;;;;;;;;;
                                                      ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                                                                                                                                                              
                        
  to go 
    
    
   ask turtles [                                            ;Las personas busquen donde crear su hogar 
     
     wander          
     search-home
     
   ]
     
   tick
   
   if  all? turtles [house = true] [stop]
   
 end
  
 
 
 
 
 to wander
   
   if house = false [                                            
  rt random-float 360
  fd random-float 10 ]
   
 end
   
   
to search-home
  
  ;Si las tortugas tienen un ingreso mayor o igual a 9000 pesos y la calidad de los patches es de 10 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ ingreso >= 9000  ]  [ if [calidad] of patch-ahead 1 = 10 and similar >= 2  [ move-to patch-ahead 1  set house true set shape "building institution" set size 2 stop  ]]
  
  ;Si las tortugas tienen un ingreso mayor o igual a 8000 pesos y menor o igual a 9000 y  la calidad de los patches es de 9 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ ingreso >= 8000 and  ingreso <= 9000 ]  [ if [calidad] of patch-ahead 1 = 9 and similar >= 2 [ move-to patch-ahead 1  set house true set shape "house two story" set size 2 stop ]]
  
  ;Si las tortugas tienen un ingreso mayor o igual a 7000 pesos y menor o igual a 8000 y  la calidad de los patches es de 8 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso  >= 7000 and ingreso <= 8000 ] [ if [calidad] of patch-ahead 1 = 9 and similar >= 2  [move-to patch-ahead 1 set house true set shape "house colonial" set size 2 stop]]
  
  ;Si las tortugas tienen un ingreso mayor o igual a 6000 pesos y menor o igual a 7000 y  la calidad de los patches es de 7 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso  >= 6000 and ingreso <= 7000 ] [if [calidad] of patch-ahead 1 = 8 and similar >= 2 [move-to patch-ahead 1 set house true set shape "house ranch" set size 2 stop ]]
  
  ;Si las tortugas tienen un ingreso mayor o igual a 5000 pesos y menor o igual a 6000 y  la calidad de los patches es de 6 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso >= 5000 and ingreso <= 6000 ] [if [calidad] of patch-ahead 1 = 7 and similar >= 2 [move-to patch-ahead 1 set house true set shape "building store" set size 2 stop ]]
 
  ;Si las tortugas tienen un ingreso mayor o igual a 4000 pesos y menor o igual a 5000 y  la calidad de los patches es de 5 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso >= 4000 and ingreso <= 5000 ] [ if [calidad] of patch-ahead 1 = 6 and similar >= 2 [move-to patch-ahead 1 set house true set shape "house bungalow" set size 2 stop ]]

  ;Si las tortugas tienen un ingreso mayor o igual a 3000 pesos y menor o igual a 4000 y  la calidad de los patches es de 4 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso >= 3000 and ingreso <= 4000 ] [if [calidad] of patch-ahead 1 = 5 and similar >= 2 [move-to patch-ahead 1 set house true set shape "house efficiency" set size 2 stop]]
 
  ;Si las tortugas tienen un ingreso mayor o igual a 2000 pesos y menor o igual a 3000 y  la calidad de los patches es de 3 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso >= 2000 and ingreso <= 3000 ] [ if [calidad] of patch-ahead 1 = 4  and similar >= 2 [move-to patch-ahead 1 set house true set shape "house" set size 2 set color red  stop ]]
 
 ;Si las tortugas tienen un ingreso mayor o igual a 1000 pesos y menor o igual a 2000 y  la calidad de los patches es de 2 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso >= 1000 and ingreso <= 2000] [if [calidad] of patch-ahead 1 = 2 and similar >= 2 [move-to patch-ahead 1 set house true set shape "house" set size 2 set color 2 stop]]
  
  ;Si las tortugas tienen un ingreso mayor o igual a 0 pesos y menor o igual a 1000 y  la calidad de los patches es de 1 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso >= 0 and ingreso <= 1000] [if [calidad] of patch-ahead 1 = 1 and similar >= 2 [move-to patch-ahead 1 set house true set shape "house" set size 2 set color 2   stop]]
 
 ;Si las tortugas tienen un ingreso de 0 pesos  y  la calidad de los patches es de 0 con 2 o menos vecinos de calidad similar entonces la tortuga contruye su casa
  ask turtles with [ingreso = 0] [if [calidad] of patch-ahead 1 = 0 and similar >= 2 [move-to patch-ahead 1 set house true set shape "house" set size 2 set color 2  stop ]]
  
  
  end













 
  
@#$#@#$#@
GRAPHICS-WINDOW
273
26
685
459
33
33
6.0
1
10
1
1
1
0
1
1
1
-33
33
-33
33
0
0
1
ticks
30.0

BUTTON
51
41
114
74
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
10
165
182
198
Personas
Personas
0
500
500
1
1
NIL
HORIZONTAL

SLIDER
10
209
182
242
ingreso-promedio
ingreso-promedio
0
9000
7100
100
1
NIL
HORIZONTAL

BUTTON
132
42
195
75
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
733
51
814
96
Ingreso Alto
count turtles with [ color = green ] / count turtles * 100
2
1
11

MONITOR
835
52
945
97
Ingreso medio
count turtles with [ color = yellow ] / count turtles * 100
2
1
11

MONITOR
948
53
1029
98
ingreso bajo
count turtles with [ color = red ] / count turtles * 100
2
1
11

MONITOR
1050
53
1158
98
ingreso muy bajo
count turtles with [ color = black ] / count turtles * 100
2
1
11

CHOOSER
52
92
190
137
escenario
escenario
"centro-periferia" "aleatorio"
0

MONITOR
734
169
882
214
Industria manufacturera
count turtles with [ sectoreconomico = \"industria-manufacturera\"] / count turtles * 100
2
1
11

TEXTBOX
911
27
1061
45
INGRESOS
11
0.0
1

MONITOR
1173
172
1300
217
Comercio por mayor 
count turtles with [ sectoreconomico =  \"comercio-por-mayor\" ] / count turtles * 100
2
1
11

MONITOR
1025
171
1149
216
Comercio por menor
count turtles with [ sectoreconomico =  \"comercio-por-menor\" ] / count turtles * 100
2
1
11

MONITOR
915
169
1000
214
Construcción
count turtles with [ sectoreconomico =  \"construccion\"] / count turtles * 100
2
1
11

MONITOR
884
246
1031
291
Servicios de Alojamiento
count turtles with [ sectoreconomico =  \"servicios-alojamiento\" ] / count turtles * 100
2
1
11

MONITOR
732
245
857
290
Servicios Educativos
count turtles with [ sectoreconomico =  \"servicios-educativos\" ] / count turtles * 100
2
1
11

MONITOR
1057
247
1168
292
Servicios de salud
count turtles with [ sectoreconomico =  \"servicios-salud\" ] / count turtles * 100
2
1
11

MONITOR
730
319
857
364
Servicios financieros
count turtles with [ sectoreconomico =  \"servicios-financieros\" ] / count turtles * 100
2
1
11

TEXTBOX
853
138
1126
168
Sector económico de la Población ocupada
12
0.0
1

SLIDER
10
258
182
291
%-similar-wanted
%-similar-wanted
0
100
50
1
1
%
HORIZONTAL

PLOT
816
396
1245
714
Agentes
#
Personas
0.0
4.0
0.0
300.0
true
true
"" ""
PENS
"Ingreso alto" 1.0 0 -15040220 true "plot count turtles with [color = yellow]" "plot count turtles with [color = green]"
"Ingreso medio " 1.0 0 -1184463 true "" "plot count turtles with [color = yellow]"
"Ingreso bajo" 1.0 0 -5298144 true "" "plot count turtles with [color = red]"
"Ingreso muy bajo" 1.0 0 -14737633 true "" "plot count turtles with [color = black]"

@#$#@#$#@
## WHAT IS IT?

Este modelo explica condiciones por las cuales puede aumentar o disminuir la segregación residencial.

## HOW IT WORKS
Los agentes tienen como propiedad principal un nivel de ingresos, la asiganción de una vivienda,  ocupación en un determinado sector económico y el número de vecinos similares a ellos. 
Por otro lado los patches tienen una calidad, que corresponde a la calidad del espacio. 
en Función de las propiedades de los agentes, estos  decidirán en que parte del mundo lozaclizarse.

## HOW TO USE IT
El modelo está compuesto por dos escenarios: Escenario centro periferia y escenario aleatorio. 
Para el primero, los patches se les asigno un valor que representa  calidad del espacio, representado por cuadros.  El cuadro purpura representa una calidad  alta, seguido de una calidad media representado con color azúl, baja representado con color anaranjado y finalmente en la parte de la periferia una calidad precaria representado con color café.

Para el caso del escenario aleatorio, como se indica, la calidad en el espacio fue aleatoria. 
Para ambos escenarios la calidad se asigno ponderando, es decir, asgnando un valor a cada calidad. Sí se trata de calidad precaria los valores que se le asignan corren de 0 a 2, si es calidad baja de 3 a 5, calidad media de 6 a 8 y calidad alta de 9 a 10. 

 Los agents fueron diseñados con un ingreso aleatorio para que estos se localizaran en los patches, tomando en cuenta la calidad del espacio, es decir, si los agentes cuentan con un nivel de ingresos alto estos se localizarán en un espacio que represente el ingreso que tiene, dependiendo del nivel de ingresos es como los agentes se van a localizar en el mundo. 

El regulador de personas controla la densidad de la población y el regulador de ingreso controla la capacidad adquisitiva de los agentes y el regulador %-similar-wanted controla el porcentaje de vecinos similares a ellos. 

Los monitores de ingresos, representan el porcentaje de agentes con base en el nivel de ingreso. Por otro lado, los monitores de sector económico cuentan el numero de agentes que se encuentra en cada sector.  

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

Representar el nivel de desigualdad o bien marginación, para hacer posible la representacion del niel de segregación residencial. 

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

building institution
false
0
Rectangle -7500403 true true 0 60 300 270
Rectangle -16777216 true false 130 196 168 256
Rectangle -16777216 false false 0 255 300 270
Polygon -7500403 true true 0 60 150 15 300 60
Polygon -16777216 false false 0 60 150 15 300 60
Circle -1 true false 135 26 30
Circle -16777216 false false 135 25 30
Rectangle -16777216 false false 0 60 300 75
Rectangle -16777216 false false 218 75 255 90
Rectangle -16777216 false false 218 240 255 255
Rectangle -16777216 false false 224 90 249 240
Rectangle -16777216 false false 45 75 82 90
Rectangle -16777216 false false 45 240 82 255
Rectangle -16777216 false false 51 90 76 240
Rectangle -16777216 false false 90 240 127 255
Rectangle -16777216 false false 90 75 127 90
Rectangle -16777216 false false 96 90 121 240
Rectangle -16777216 false false 179 90 204 240
Rectangle -16777216 false false 173 75 210 90
Rectangle -16777216 false false 173 240 210 255
Rectangle -16777216 false false 269 90 294 240
Rectangle -16777216 false false 263 75 300 90
Rectangle -16777216 false false 263 240 300 255
Rectangle -16777216 false false 0 240 37 255
Rectangle -16777216 false false 6 90 31 240
Rectangle -16777216 false false 0 75 37 90
Line -16777216 false 112 260 184 260
Line -16777216 false 105 265 196 265

building store
false
0
Rectangle -7500403 true true 30 45 45 240
Rectangle -16777216 false false 30 45 45 165
Rectangle -7500403 true true 15 165 285 255
Rectangle -16777216 true false 120 195 180 255
Line -7500403 true 150 195 150 255
Rectangle -16777216 true false 30 180 105 240
Rectangle -16777216 true false 195 180 270 240
Line -16777216 false 0 165 300 165
Polygon -7500403 true true 0 165 45 135 60 90 240 90 255 135 300 165
Rectangle -7500403 true true 0 0 75 45
Rectangle -16777216 false false 0 0 75 45

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

house bungalow
false
0
Rectangle -7500403 true true 210 75 225 255
Rectangle -7500403 true true 90 135 210 255
Rectangle -16777216 true false 165 195 195 255
Line -16777216 false 210 135 210 255
Rectangle -16777216 true false 105 202 135 240
Polygon -7500403 true true 225 150 75 150 150 75
Line -16777216 false 75 150 225 150
Line -16777216 false 195 120 225 150
Polygon -16777216 false false 165 195 150 195 180 165 210 195
Rectangle -16777216 true false 135 105 165 135

house colonial
false
0
Rectangle -7500403 true true 270 75 285 255
Rectangle -7500403 true true 45 135 270 255
Rectangle -16777216 true false 124 195 187 256
Rectangle -16777216 true false 60 195 105 240
Rectangle -16777216 true false 60 150 105 180
Rectangle -16777216 true false 210 150 255 180
Line -16777216 false 270 135 270 255
Polygon -7500403 true true 30 135 285 135 240 90 75 90
Line -16777216 false 30 135 285 135
Line -16777216 false 255 105 285 135
Line -7500403 true 154 195 154 255
Rectangle -16777216 true false 210 195 255 240
Rectangle -16777216 true false 135 150 180 180

house efficiency
false
0
Rectangle -7500403 true true 180 90 195 195
Rectangle -7500403 true true 90 165 210 255
Rectangle -16777216 true false 165 195 195 255
Rectangle -16777216 true false 105 202 135 240
Polygon -7500403 true true 225 165 75 165 150 90
Line -16777216 false 75 165 225 165

house ranch
false
0
Rectangle -7500403 true true 270 120 285 255
Rectangle -7500403 true true 15 180 270 255
Polygon -7500403 true true 0 180 300 180 240 135 60 135 0 180
Rectangle -16777216 true false 120 195 180 255
Line -7500403 true 150 195 150 255
Rectangle -16777216 true false 45 195 105 240
Rectangle -16777216 true false 195 195 255 240
Line -7500403 true 75 195 75 240
Line -7500403 true 225 195 225 240
Line -16777216 false 270 180 270 255
Line -16777216 false 0 180 300 180

house two story
false
0
Polygon -7500403 true true 2 180 227 180 152 150 32 150
Rectangle -7500403 true true 270 75 285 255
Rectangle -7500403 true true 75 135 270 255
Rectangle -16777216 true false 124 195 187 256
Rectangle -16777216 true false 210 195 255 240
Rectangle -16777216 true false 90 150 135 180
Rectangle -16777216 true false 210 150 255 180
Line -16777216 false 270 135 270 255
Rectangle -7500403 true true 15 180 75 255
Polygon -7500403 true true 60 135 285 135 240 90 105 90
Line -16777216 false 75 135 75 180
Rectangle -16777216 true false 30 195 93 240
Line -16777216 false 60 135 285 135
Line -16777216 false 255 105 285 135
Line -16777216 false 0 180 75 180
Line -7500403 true 60 195 60 240
Line -7500403 true 154 195 154 255

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.2.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment extremo 2" repetitions="2" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="10"/>
    <metric>count turtles</metric>
    <metric>count turtles with [color = green]</metric>
    <metric>count turtles with [color = yellow]</metric>
    <metric>count turtles with [color = red]</metric>
    <metric>count turtles with [color = black]</metric>
    <enumeratedValueSet variable="Personas">
      <value value="500"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="%-similar-wanted">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="escenario">
      <value value="&quot;aleatorio&quot;"/>
      <value value="&quot;centro-periferia&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ingreso-promedio">
      <value value="800"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment-ideal" repetitions="100" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="700"/>
    <metric>count turtles with [color = green]</metric>
    <metric>count turtles with [color = yellow]</metric>
    <metric>count turtles with [color = red]</metric>
    <metric>count turtles with [color = black]</metric>
    <enumeratedValueSet variable="Personas">
      <value value="500"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="%-similar-wanted">
      <value value="90"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="escenario">
      <value value="&quot;aleatorio&quot;"/>
      <value value="&quot;centro-periferia&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ingreso-promedio">
      <value value="9000"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
